IngressSQLTreeProcessor (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.ingres, class: IngressSQLTreeProcessor

# Class IngressSQLTreeProcessor

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor
org.apache.cayenne.dba.ingres.IngressSQLTreeProcessor

All Implemented Interfaces:
  `NodeTreeVisitor, SQLTreeProcessor`

public class IngressSQLTreeProcessor extends BaseSQLTreeProcessor

Since:
  4.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngressSQLTreeProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `onColumnNode(Node parent, ColumnNode child, int index)`
  `protected void`
  `onFunctionNode(Node parent, FunctionNode child, int index)`
  `protected void`
  `onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)`

  ### Methods inherited from class BaseSQLTreeProcessor

  `onChildNodeStart, onDistinctNode, onInNode, onLikeNode, onResultNode, onUndefinedNode, onValueNode, process, replaceChild, replaceChild, wrapInFunction`
  Modifier and Type
  Method
  Description
  `boolean`
  `onChildNodeStart(Node parent, Node child, int index, boolean hasMore)`
  `protected void`
  `onDistinctNode(Node parent, DistinctNode child, int index)`
  `protected void`
  `onInNode(Node parent, InNode child, int index)`
  `protected void`
  `onLikeNode(Node parent, LikeNode child, int index)`
  `protected void`
  `onResultNode(Node parent, Node child, int index)`
  `protected void`
  `onUndefinedNode(Node parent, Node child, int index)`
  `protected void`
  `onValueNode(Node parent, ValueNode child, int index)`
  `Node`
  `process(Node node)`
  `protected static void`
  `replaceChild(Node parent, int index, Node newChild)`
  `protected static void`
  `replaceChild(Node parent, int index, Node newChild, boolean transferChildren)`
  `protected static Node`
  `wrapInFunction(Node node, String function)`

  ### Methods inherited from class SimpleNodeTreeVisitor

  `onChildNodeEnd, onNodeEnd, onNodeStart`
  Modifier and Type
  Method
  Description
  `void`
  `onChildNodeEnd(Node parent, Node child, int index, boolean hasMore)`
  `void`
  `onNodeEnd(Node node)`
  `boolean`
  `onNodeStart(Node node)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngressSQLTreeProcessor

    public IngressSQLTreeProcessor()

- ## Method Details

  - ### onColumnNode

    protected void onColumnNode(Node parent, ColumnNode child, int index)
    Overrides:
      `onColumnNode` in class `BaseSQLTreeProcessor`

  - ### onLimitOffsetNode

    protected void onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)
    Overrides:
      `onLimitOffsetNode` in class `BaseSQLTreeProcessor`

  - ### onFunctionNode

    protected void onFunctionNode(Node parent, FunctionNode child, int index)
    Overrides:
      `onFunctionNode` in class `BaseSQLTreeProcessor`